//
//  RNMarkedRangeTextViewManager.m
//  RNMarkedRangeTextInput
//
//  Created by Bell Zhong on 2017/5/18.
//  Copyright © 2017年 shimo. All rights reserved.
//

#import "RNMarkedRangeTextViewManager.h"
#import "RNMarkedRangeTextView.h"

@implementation RNMarkedRangeTextViewManager

RCT_EXPORT_MODULE()

- (UIView *)view
{
    return [[RNMarkedRangeTextView alloc] initWithBridge:self.bridge];
}


RCT_EXPORT_VIEW_PROPERTY(onMarkedRangeChanged, RCTDirectEventBlock)
RCT_EXPORT_VIEW_PROPERTY(onChangeText, RCTDirectEventBlock)
RCT_EXPORT_VIEW_PROPERTY(shouldReturn, BOOL)

#pragma mark - RCTTextViewManager specific properties
RCT_EXPORT_VIEW_PROPERTY(onChange, RCTBubblingEventBlock)
RCT_EXPORT_VIEW_PROPERTY(onContentSizeChange, RCTBubblingEventBlock)
RCT_EXPORT_VIEW_PROPERTY(onSelectionChange, RCTDirectEventBlock)
RCT_EXPORT_VIEW_PROPERTY(onScroll, RCTDirectEventBlock)
RCT_EXPORT_VIEW_PROPERTY(onTextInput, RCTDirectEventBlock)

@end
