package im.shimo.react.textInput;

import android.view.KeyEvent;
import android.widget.EditText;

/**
 * Created by song on 2018/2/11.
 */

public interface EnventInterpolater {
    /**
     * 拦截软键盘事件，根据KeyCode做出自己的选择，如果，需要拦截相应的事件，请返回true
     * 注意一次按键事件会有DOWN 和 UP 两次回调
     *
     * @param editText
     * @param event
     * @return
     */
    boolean sendEvent(EditText editText, KeyEvent event);
}
